com.google.gwt.core.ext

## Class CachedPropertyInformation

- java.lang.Object
- - com.google.gwt.core.ext.CachedPropertyInformation

- All Implemented Interfaces:
    java.io.Serializable

      public class CachedPropertyInformation
      extends java.lang.Object
      implements java.io.Serializable

  A container for saving lists of deferred-binding and configuration properties to be compared subsequently with a PropertyOracle.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedPropertyInformation(TreeLogger logger, PropertyOracle oracle, java.util.Collection<java.lang.String> selectionPropertyNames, java.util.Collection<java.lang.String> configPropertyNames)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkPropertiesWithPropertyOracle(TreeLogger logger, PropertyOracle oracle)` Check a previously cached set of deferred-binding and configuration properties with the provided property oracle.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachedPropertyInformation

          public CachedPropertyInformation(TreeLogger logger,
                                           PropertyOracle oracle,
                                           java.util.Collection<java.lang.String> selectionPropertyNames,
                                           java.util.Collection<java.lang.String> configPropertyNames)

  - ### Method Detail

    - #### checkPropertiesWithPropertyOracle

          public boolean checkPropertiesWithPropertyOracle(TreeLogger logger,
                                                           PropertyOracle oracle)

      Check a previously cached set of deferred-binding and configuration properties with the provided property oracle.